<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Chat/Scripts/5_mission/dayzexpansion_chat/expansionchatline.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d4c/expansionchatline_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionchatline.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d4c/expansionchatline_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionChatLine.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../db/d0f/class_expansion_chat_message.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d0f/class_expansion_chat_message.html">ExpansionChatMessage</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../db/d0f/class_expansion_chat_message.html#a0e800e714f87dd68dd27d85220ab3149">   15</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../db/d0f/class_expansion_chat_message.html#a0e800e714f87dd68dd27d85220ab3149">Channel</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../db/d0f/class_expansion_chat_message.html#a2c0038cac732ec73287aa45500fd07cb">   16</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d0f/class_expansion_chat_message.html#a2c0038cac732ec73287aa45500fd07cb">From</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../db/d0f/class_expansion_chat_message.html#a3d0043d6b321ee15742a2523f9253673">   17</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d0f/class_expansion_chat_message.html#a3d0043d6b321ee15742a2523f9253673">Text</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>}</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="keyword">class </span><a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#a2e4c9cb95c17aaf2544f26c8b59dd75c">ExpansionChatLineBase</a>: ExpansionScriptView</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>{</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">   22</a></span>    <span class="keyword">private</span> ref <a class="code hl_class" href="../../d7/df9/class_expansion_chat_line_controller.html">ExpansionChatLineController</a> <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#ae38cfc715c5007d38ba931e2ed1233f9">   23</a></span>    <span class="keyword">private</span> ref <a class="code hl_class" href="../../d8/df2/class_chat.html">Chat</a> <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ae38cfc715c5007d38ba931e2ed1233f9">m_Chat</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#a7a18292f19ed481618d5a8b2de03138a">   25</a></span>    <span class="keyword">private</span> TextWidget <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a7a18292f19ed481618d5a8b2de03138a">SenderName</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#a6919dfd1cd14d79fc4f52ff1c9732122">   26</a></span>    <span class="keyword">private</span> TextWidget <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a6919dfd1cd14d79fc4f52ff1c9732122">Message</a>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">   27</a></span>    <span class="keyword">private</span> ref WidgetFadeTimer <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#a7cdc3bc2376d1c5b72117fdc0719d8e2">   28</a></span>    <span class="keyword">private</span> Widget <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a7cdc3bc2376d1c5b72117fdc0719d8e2">m_Parent</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#ad6f56d72bcfcf0eaeaf03ed17964514d">   29</a></span>    <span class="keyword">private</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6f56d72bcfcf0eaeaf03ed17964514d">m_LayoutPath</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#a2e4c9cb95c17aaf2544f26c8b59dd75c">   31</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#a2e4c9cb95c17aaf2544f26c8b59dd75c">ExpansionChatLineBase</a>(Widget parent, <a class="code hl_class" href="../../d8/df2/class_chat.html">Chat</a> chat)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keyword">auto</span> trace = EXTrace.Start(ExpansionTracing.CHAT);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a> = <a class="code hl_class" href="../../d7/df9/class_expansion_chat_line_controller.html">ExpansionChatLineController</a>.Cast(GetController());</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a7cdc3bc2376d1c5b72117fdc0719d8e2">m_Parent</a> = parent;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ae38cfc715c5007d38ba931e2ed1233f9">m_Chat</a> = chat;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a7cdc3bc2376d1c5b72117fdc0719d8e2">m_Parent</a>.AddChild(GetLayoutRoot());</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        GetLayoutRoot().Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#a6bce27acae596387c3690b138c48c44d">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#a6bce27acae596387c3690b138c48c44d">~ExpansionChatLineBase</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keyword">auto</span> trace = EXTrace.Start(ExpansionTracing.CHAT);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a>)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a>.Stop();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#a583307aaeb6249e5d0bdab1cac80787a">   52</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#a583307aaeb6249e5d0bdab1cac80787a">Set</a>(<a class="code hl_class" href="../../db/d0f/class_expansion_chat_message.html">ExpansionChatMessage</a> message)  <span class="comment">// Param 1 --&gt; Channel, Param 2 --&gt; sender name, Param 3 --&gt; message, Param 4 ?? </span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keyword">auto</span> trace = EXTrace.Start(ExpansionTracing.CHAT);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_class" href="../../da/df1/class_mission_gameplay.html">MissionGameplay</a> mission;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">if</span> (!Class.CastTo(mission, GetGame().GetMission()))</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> (!message)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            GetLayoutRoot().Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.SenderName = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;SenderName&quot;</span>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.Message = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;Message&quot;</span>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        GetLayoutRoot().Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">switch</span> (message.<a class="code hl_variable" href="../../db/d0f/class_expansion_chat_message.html#a0e800e714f87dd68dd27d85220ab3149">Channel</a>)</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">case</span> CCSystem:</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">SenderSetColour</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;SystemChatColor&quot;</span>));</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;SystemChatColor&quot;</span>));</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.SenderName = <span class="stringliteral">&quot; Game: &quot;</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">case</span> CCAdmin:</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">case</span> CCBattlEye:</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">SenderSetColour</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;AdminChatColor&quot;</span>)); </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;AdminChatColor&quot;</span>));</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#aa36f1abdead297b4be96196ba9843a90">SetSenderName</a>(message, <span class="stringliteral">&quot; Admin: &quot;</span>);</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">case</span> CCTransmitter:</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">SenderSetColour</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;TransmitterChatColor&quot;</span>));   </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;TransmitterChatColor&quot;</span>));</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.SenderName = <span class="stringliteral">&quot; PAS: &quot;</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">case</span> ExpansionChatChannels.CCTransport:</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">SenderSetColour</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;TransportChatColor&quot;</span>)); </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;TransportChatColor&quot;</span>));</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#aa36f1abdead297b4be96196ba9843a90">SetSenderName</a>(message);</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">case</span> ExpansionChatChannels.CCGlobal:</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">SenderSetColour</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;GlobalChatColor&quot;</span>));    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;GlobalChatColor&quot;</span>));</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#aa36f1abdead297b4be96196ba9843a90">SetSenderName</a>(message);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="preprocessor">#ifdef EXPANSIONMODGROUPS</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">case</span> ExpansionChatChannels.CCTeam:</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">SenderSetColour</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;PartyChatColor&quot;</span>)); </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;PartyChatColor&quot;</span>));</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#aa36f1abdead297b4be96196ba9843a90">SetSenderName</a>(message);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">SenderSetColour</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;DirectChatColor&quot;</span>));    </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(GetExpansionSettings().GetChat().ChatColors.Get(<span class="stringliteral">&quot;DirectChatColor&quot;</span>));</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#aa36f1abdead297b4be96196ba9843a90">SetSenderName</a>(message);</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="comment">//BreakWords(message);</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.Message = message.<a class="code hl_variable" href="../../db/d0f/class_expansion_chat_message.html#a3d0043d6b321ee15742a2523f9253673">Text</a>;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.NotifyPropertiesChanged({<span class="stringliteral">&quot;SenderName&quot;</span>, <span class="stringliteral">&quot;Message&quot;</span>});</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span> (!IsVisible())</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#acc2b4b8d2a1567348926cca03564bc11">FadeInChatLine</a>();</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="comment"></span> </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span><span class="comment">        //! Adjust message size so it actually fits and doesn&#39;t get cut off</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="comment"></span>        <span class="keywordtype">float</span> root_w, root_h;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        GetLayoutRoot().GetScreenSize(root_w, root_h);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordtype">float</span> sender_w, sender_h;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a7a18292f19ed481618d5a8b2de03138a">SenderName</a>.GetScreenSize(sender_w, sender_h);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a6919dfd1cd14d79fc4f52ff1c9732122">Message</a>.SetSize(1.0 - sender_w / root_w, 1.0);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    }</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    <span class="comment"></span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="comment">    //! @note doesn&#39;t work as intended since Enforce doesn&#39;t support zero-width space (gets rendered as normal space)</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="comment">    //! Keeping this here for future reference</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#a265dffcc875ed033c27ba4ea70bd53ad">  135</a></span><span class="comment"></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#a265dffcc875ed033c27ba4ea70bd53ad">BreakWords</a>(<a class="code hl_class" href="../../db/d0f/class_expansion_chat_message.html">ExpansionChatMessage</a> message)</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="comment">        //! maxLineCharacters is the amount of charaters that can fit into one line before a line </span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="comment">        //! break need to happend with the current chat font size.</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="comment">        //! Note: Hardcoded values below assume 2560x1440 resolution, so need to adjust for other resolutions!</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="comment"></span>        <span class="keywordtype">int</span> maxLineCharacters;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        ExpansionClientUIChatSize chatsize = GetExpansionClientSettings().HUDChatSize;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        <span class="keywordflow">switch</span> (chatsize)</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.VERYSMALL:</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>                maxLineCharacters = 56;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.SMALL:</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>                maxLineCharacters = 50;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.MEDIUM:</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                maxLineCharacters = 42;</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.LARGE:</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                maxLineCharacters = 30;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.VERYLARGE:</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                maxLineCharacters = 24;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordtype">int</span> senderCharacters = <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.SenderName.Length();</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordtype">int</span> maxWordCharacters = maxLineCharacters - senderCharacters;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span><span class="comment"></span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="comment">        //! adjust for actual screen res</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span><span class="comment"></span>        <span class="keywordtype">int</span> w, h;</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        GetScreenSize(w, h);</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordtype">float</span> adjust = maxWordCharacters * w / 2560.0;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        maxWordCharacters = adjust;</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span><span class="comment"></span> </div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span><span class="comment">        //! split words and limit to max characters per word</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span><span class="comment"></span>        <span class="keywordtype">string</span> messageText;</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">if</span> (maxWordCharacters &gt; 0)</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        {</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            TStringArray words();</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>            message.<a class="code hl_variable" href="../../db/d0f/class_expansion_chat_message.html#a3d0043d6b321ee15742a2523f9253673">Text</a>.Split(<span class="stringliteral">&quot; &quot;</span>, words);</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            <span class="keywordflow">foreach</span> (<span class="keywordtype">string</span> word: words)</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>                <span class="keywordflow">while</span> (!word.Contains(<span class="stringliteral">&quot;#&quot;</span>) &amp;&amp; word.Length() &gt; maxWordCharacters)</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>                    messageText += word.Substring(0, maxWordCharacters) + ExpansionString.ZERO_WIDTH_SPACE;</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>                    word = word.Substring(maxWordCharacters, word.Length() - maxWordCharacters);</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>                }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>                messageText += word + ExpansionString.ZERO_WIDTH_SPACE;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>            }</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.Message = messageText;</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.Message = message.<a class="code hl_variable" href="../../db/d0f/class_expansion_chat_message.html#a3d0043d6b321ee15742a2523f9253673">Text</a>;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        }</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span> </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#acc2b4b8d2a1567348926cca03564bc11">  194</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#acc2b4b8d2a1567348926cca03564bc11">FadeInChatLine</a>()</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keyword">auto</span> trace = EXTrace.Start(ExpansionTracing.CHAT);</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ae38cfc715c5007d38ba931e2ed1233f9">m_Chat</a>.<a class="code hl_function" href="../../d8/df2/class_chat.html#a4a37315965781e30a95aee97e2c43749">OnChatInputShow</a>();</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a>)</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a>.Stop();   </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a> = <span class="keyword">new</span> WidgetFadeTimer;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a>.FadeIn(GetLayoutRoot(), 1.5);</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>    }</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#aa71d36872f416feaa853788a7a7a7ef8">  207</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#aa71d36872f416feaa853788a7a7a7ef8">Clear</a>()</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>    {</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>        <span class="keyword">auto</span> trace = EXTrace.Start(ExpansionTracing.CHAT);</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span> </div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a>)</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a>.Stop();</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    }</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>    </div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">  215</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a>(<span class="keywordtype">int</span> colour)</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    {</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a6919dfd1cd14d79fc4f52ff1c9732122">Message</a>.SetColor(colour);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    }</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    </div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#aa36f1abdead297b4be96196ba9843a90">  220</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#aa36f1abdead297b4be96196ba9843a90">SetSenderName</a>(<a class="code hl_class" href="../../db/d0f/class_expansion_chat_message.html">ExpansionChatMessage</a> message, <span class="keywordtype">string</span> fallback = <span class="stringliteral">&quot; &quot;</span>)</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    {</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        <span class="keywordflow">if</span> ( message.<a class="code hl_variable" href="../../db/d0f/class_expansion_chat_message.html#a2c0038cac732ec73287aa45500fd07cb">From</a> )</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.SenderName = <span class="stringliteral">&quot; &quot;</span> + message.<a class="code hl_variable" href="../../db/d0f/class_expansion_chat_message.html#a2c0038cac732ec73287aa45500fd07cb">From</a> + <span class="stringliteral">&quot;: &quot;</span>;</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        { </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>            <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a>.SenderName = fallback;</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        }</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    }</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> </div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">  231</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">SenderSetColour</a>(<span class="keywordtype">int</span> colour)</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    {</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a7a18292f19ed481618d5a8b2de03138a">SenderName</a>.SetColor(colour);</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    }</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#af50c208477ace3db233bfb6243901f7c">  236</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a>() </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    {</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        <span class="keywordtype">string</span> path;</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        ExpansionClientUIChatSize chatsize = GetExpansionClientSettings().HUDChatSize;</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        <span class="keywordflow">switch</span> (chatsize)</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        {</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.VERYSMALL:</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>                path = <span class="stringliteral">&quot;DayZExpansion/Chat/GUI/layouts/expansion_chat_entry_verysmall.layout&quot;</span>;</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.SMALL:</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>                path = <span class="stringliteral">&quot;DayZExpansion/Chat/GUI/layouts/expansion_chat_entry_small.layout&quot;</span>;</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.MEDIUM:</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>                path = <span class="stringliteral">&quot;DayZExpansion/Chat/GUI/layouts/expansion_chat_entry_medium.layout&quot;</span>;</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.LARGE:</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>                path = <span class="stringliteral">&quot;DayZExpansion/Chat/GUI/layouts/expansion_chat_entry_large.layout&quot;</span>;</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            <span class="keywordflow">case</span> ExpansionClientUIChatSize.VERYLARGE:</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>                path = <span class="stringliteral">&quot;DayZExpansion/Chat/GUI/layouts/expansion_chat_entry_verylarge.layout&quot;</span>;</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>            <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>                path = <span class="stringliteral">&quot;DayZExpansion/Chat/GUI/layouts/expansion_chat_entry_small.layout&quot;</span>;</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>        }</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        </div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        <span class="keywordflow">return</span> path;</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    }</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#aae475e0b4d95b152ef3e68af16944a01">  265</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a>() </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    {</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d7/df9/class_expansion_chat_line_controller.html">ExpansionChatLineController</a>;</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>    </div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno"><a class="line" href="../../d0/d4c/expansionchatline_8c.html#acdbc89aca03800925a348c49d1f02b71">  270</a></span>    Widget <a class="code hl_function" href="../../d0/d4c/expansionchatline_8c.html#acdbc89aca03800925a348c49d1f02b71">GetParentWidget</a>()</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>    {</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/d4c/expansionchatline_8c.html#a7cdc3bc2376d1c5b72117fdc0719d8e2">m_Parent</a>;</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>    }</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>};</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span> </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno"><a class="line" href="../../d7/df9/class_expansion_chat_line_controller.html">  276</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/df9/class_expansion_chat_line_controller.html">ExpansionChatLineController</a>: ExpansionViewController</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>{</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno"><a class="line" href="../../d7/df9/class_expansion_chat_line_controller.html#ad2ac3ebc4ae02c98832767230a100c50">  278</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/df9/class_expansion_chat_line_controller.html#ad2ac3ebc4ae02c98832767230a100c50">SenderName</a>;</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno"><a class="line" href="../../d7/df9/class_expansion_chat_line_controller.html#af7e687adb6552352a82b565ffc2802d3">  279</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/df9/class_expansion_chat_line_controller.html#af7e687adb6552352a82b565ffc2802d3">Message</a>;</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>};</div>
<div class="ttc" id="aclass_chat_html"><div class="ttname"><a href="../../d8/df2/class_chat.html">Chat</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dc7/chat_8c_source.html#l00013">chat.c:14</a></div></div>
<div class="ttc" id="aclass_chat_html_a4a37315965781e30a95aee97e2c43749"><div class="ttname"><a href="../../d8/df2/class_chat.html#a4a37315965781e30a95aee97e2c43749">Chat::OnChatInputShow</a></div><div class="ttdeci">void OnChatInputShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dc7/chat_8c_source.html#l00038">chat.c:38</a></div></div>
<div class="ttc" id="aclass_expansion_chat_line_controller_html"><div class="ttname"><a href="../../d7/df9/class_expansion_chat_line_controller.html">ExpansionChatLineController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00276">expansionchatline.c:277</a></div></div>
<div class="ttc" id="aclass_expansion_chat_line_controller_html_ad2ac3ebc4ae02c98832767230a100c50"><div class="ttname"><a href="../../d7/df9/class_expansion_chat_line_controller.html#ad2ac3ebc4ae02c98832767230a100c50">ExpansionChatLineController::SenderName</a></div><div class="ttdeci">string SenderName</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00278">expansionchatline.c:278</a></div></div>
<div class="ttc" id="aclass_expansion_chat_line_controller_html_af7e687adb6552352a82b565ffc2802d3"><div class="ttname"><a href="../../d7/df9/class_expansion_chat_line_controller.html#af7e687adb6552352a82b565ffc2802d3">ExpansionChatLineController::Message</a></div><div class="ttdeci">string Message</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00279">expansionchatline.c:279</a></div></div>
<div class="ttc" id="aclass_expansion_chat_message_html"><div class="ttname"><a href="../../db/d0f/class_expansion_chat_message.html">ExpansionChatMessage</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00013">expansionchatline.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_chat_message_html_a0e800e714f87dd68dd27d85220ab3149"><div class="ttname"><a href="../../db/d0f/class_expansion_chat_message.html#a0e800e714f87dd68dd27d85220ab3149">ExpansionChatMessage::Channel</a></div><div class="ttdeci">int Channel</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00015">expansionchatline.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_chat_message_html_a2c0038cac732ec73287aa45500fd07cb"><div class="ttname"><a href="../../db/d0f/class_expansion_chat_message.html#a2c0038cac732ec73287aa45500fd07cb">ExpansionChatMessage::From</a></div><div class="ttdeci">string From</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00016">expansionchatline.c:16</a></div></div>
<div class="ttc" id="aclass_expansion_chat_message_html_a3d0043d6b321ee15742a2523f9253673"><div class="ttname"><a href="../../db/d0f/class_expansion_chat_message.html#a3d0043d6b321ee15742a2523f9253673">ExpansionChatMessage::Text</a></div><div class="ttdeci">string Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00017">expansionchatline.c:17</a></div></div>
<div class="ttc" id="aclass_mission_gameplay_html"><div class="ttname"><a href="../../da/df1/class_mission_gameplay.html">MissionGameplay</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/da8/_base_building_2_scripts_25__mission_2dayzexpansion__basebuilding_2mission_2missiongameplay_8c_source.html#l00016">missiongameplay.c:17</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_a265dffcc875ed033c27ba4ea70bd53ad"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#a265dffcc875ed033c27ba4ea70bd53ad">BreakWords</a></div><div class="ttdeci">void BreakWords(ExpansionChatMessage message)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00135">expansionchatline.c:135</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_a2a7996b0b388ffef620860ba0a45c9e8"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#a2a7996b0b388ffef620860ba0a45c9e8">m_FadeInTimer</a></div><div class="ttdeci">private ref WidgetFadeTimer m_FadeInTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00027">expansionchatline.c:27</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_a2e4c9cb95c17aaf2544f26c8b59dd75c"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#a2e4c9cb95c17aaf2544f26c8b59dd75c">ExpansionChatLineBase</a></div><div class="ttdeci">void ExpansionChatLineBase(Widget parent, Chat chat)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00031">expansionchatline.c:31</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_a583307aaeb6249e5d0bdab1cac80787a"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#a583307aaeb6249e5d0bdab1cac80787a">Set</a></div><div class="ttdeci">void Set(ExpansionChatMessage message)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00052">expansionchatline.c:52</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_a6919dfd1cd14d79fc4f52ff1c9732122"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#a6919dfd1cd14d79fc4f52ff1c9732122">Message</a></div><div class="ttdeci">private TextWidget Message</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00026">expansionchatline.c:26</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_a6bce27acae596387c3690b138c48c44d"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#a6bce27acae596387c3690b138c48c44d">~ExpansionChatLineBase</a></div><div class="ttdeci">void ~ExpansionChatLineBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00044">expansionchatline.c:44</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_a7a18292f19ed481618d5a8b2de03138a"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#a7a18292f19ed481618d5a8b2de03138a">SenderName</a></div><div class="ttdeci">private TextWidget SenderName</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00025">expansionchatline.c:25</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_a7cdc3bc2376d1c5b72117fdc0719d8e2"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#a7cdc3bc2376d1c5b72117fdc0719d8e2">m_Parent</a></div><div class="ttdeci">private Widget m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00028">expansionchatline.c:28</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_aa36f1abdead297b4be96196ba9843a90"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#aa36f1abdead297b4be96196ba9843a90">SetSenderName</a></div><div class="ttdeci">private void SetSenderName(ExpansionChatMessage message, string fallback=&quot; &quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00220">expansionchatline.c:220</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_aa71d36872f416feaa853788a7a7a7ef8"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#aa71d36872f416feaa853788a7a7a7ef8">Clear</a></div><div class="ttdeci">void Clear()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00207">expansionchatline.c:207</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_aae475e0b4d95b152ef3e68af16944a01"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00265">expansionchatline.c:265</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_acc2b4b8d2a1567348926cca03564bc11"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#acc2b4b8d2a1567348926cca03564bc11">FadeInChatLine</a></div><div class="ttdeci">private void FadeInChatLine()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00194">expansionchatline.c:194</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_acdbc89aca03800925a348c49d1f02b71"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#acdbc89aca03800925a348c49d1f02b71">GetParentWidget</a></div><div class="ttdeci">Widget GetParentWidget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00270">expansionchatline.c:270</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_ad6131e7eebca2e4ad8b89c2b4e676402"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#ad6131e7eebca2e4ad8b89c2b4e676402">m_ChatLineController</a></div><div class="ttdeci">class ExpansionChatMessage m_ChatLineController</div></div>
<div class="ttc" id="aexpansionchatline_8c_html_ad6f56d72bcfcf0eaeaf03ed17964514d"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#ad6f56d72bcfcf0eaeaf03ed17964514d">m_LayoutPath</a></div><div class="ttdeci">private string m_LayoutPath</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00029">expansionchatline.c:29</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_adb1602b1d83c19f7957635b4a81e009f"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#adb1602b1d83c19f7957635b4a81e009f">SenderSetColour</a></div><div class="ttdeci">private void SenderSetColour(int colour)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00231">expansionchatline.c:231</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_adf6a9508a46b390b3291b1c12790914d"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#adf6a9508a46b390b3291b1c12790914d">SetTextColor</a></div><div class="ttdeci">private void SetTextColor(int colour)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00215">expansionchatline.c:215</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_ae38cfc715c5007d38ba931e2ed1233f9"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#ae38cfc715c5007d38ba931e2ed1233f9">m_Chat</a></div><div class="ttdeci">private ref Chat m_Chat</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00023">expansionchatline.c:23</a></div></div>
<div class="ttc" id="aexpansionchatline_8c_html_af50c208477ace3db233bfb6243901f7c"><div class="ttname"><a href="../../d0/d4c/expansionchatline_8c.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d4c/expansionchatline_8c_source.html#l00236">expansionchatline.c:236</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_b52f1e3f449ac30f095dc773fc3aed12.html">Chat</a></li><li class="navelem"><a class="el" href="../../dir_ab508822baf8132ac49b84b54fcdf970.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_7683f2b88c7d828af0667d1b79d2ea4a.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_f939718bd8f4981caf95a236da11f39f.html">dayzexpansion_chat</a></li><li class="navelem"><a class="el" href="../../d0/d4c/expansionchatline_8c.html">expansionchatline.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
